Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

v3.35.0 appears to be a git repo or submodule #11091

Closed
monojitb02 opened this issue Jun 20, 2019 · 1 comment

Comments

2 participants
@monojitb02
Copy link

commented Jun 20, 2019

What are you doing?

I am using "sequelize": "^3.24.1". Which used to install "3.34.0" before but now it is installing "3.35.0". This version has an issue in the package build. It is containing the entire source including .github folder.

While using this, if I run npm install more than once, I am getting the below error

npm ERR! path /Users/monojit/projects/node_modules/sequelize
npm ERR! code EISGIT
npm ERR! git /Users/monojit/projects/node_modules/sequelize: Appears to be a git repo or submodule.
npm ERR! git     /Users/monojit/projects/node_modules/sequelize
npm ERR! git Refusing to remove it. Update manually,
npm ERR! git or move it out of the way first.

npm ERR! A complete log of this run can be found in:
npm ERR!     /Users/monojit/.npm/_logs/2019-06-20T13_30_13_752Z-debug.log
@sushantdhiman

This comment has been minimized.

Copy link
Member

commented Jun 21, 2019

Sorry, these files included in package when I switched from master to v3 to publish. These new files weren't ignored in v3 branch.

This has been fixed in 3.35.1

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
You can’t perform that action at this time.